summaryrefslogtreecommitdiff
path: root/.local/bin
diff options
context:
space:
mode:
authorewy <ewy0@protonmail.com>2026-05-15 02:19:59 +0200
committerewy <ewy0@protonmail.com>2026-05-15 02:19:59 +0200
commit944ddd206af7fd7895d5b149203cd7affa64ca60 (patch)
treef8e39637100d34d90c8dabc5b3d515196f7a86d4 /.local/bin
parent9be248d6caf5d5592883928276231548cd56c360 (diff)
a lot of stuff
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/uwuload7
-rwxr-xr-x.local/bin/uwupass9
-rwxr-xr-x.local/bin/uwushot9
3 files changed, 14 insertions, 11 deletions
diff --git a/.local/bin/uwuload b/.local/bin/uwuload
index f6ae737..7589958 100755
--- a/.local/bin/uwuload
+++ b/.local/bin/uwuload
@@ -1,7 +1,8 @@
#!/usr/bin/env bash
-set -euo pipefail
-filename=$(basename "$@")
-rsync -r --progress --stats "$@" "root@ewy.one:/srv/uwu/$filename"
+set -euox pipefail
+filename="$1"
+input='$(abs "$1")'
+rsync -r --progress --stats $1 "ewout@ewy.one:/srv/uwu/$filename"
url="https://uwu.ewy.one/$filename"
echo "$url" | wl-copy
message="Uploaded $filename to uwu; copied result URL to clipboard."
diff --git a/.local/bin/uwupass b/.local/bin/uwupass
index aad2a08..348214a 100755
--- a/.local/bin/uwupass
+++ b/.local/bin/uwupass
@@ -60,14 +60,13 @@ target=$(echo "$pass" | eval "$(dbQuery show -s)" -a Password \"$entry\")
# Write the password
-ydotool type "$target"
-message "Finished writing password."
+echo "$target" | wl-copy
+message "Copied password for $entry to selection buffer."
-# Copy TOTP to clipboard
+# Copy TOTP ~~to clipboard~~
totp="$(echo "$pass" | eval "$(dbQuery show -s -t)" \"$entry\")"
echo $totp
if [[ -n "$totp" ]]; then
- message "Copied TOTP ($totp) to selection."
- echo "$totp" | wl-copy
+ message "Your TOTP is $totp."
fi
diff --git a/.local/bin/uwushot b/.local/bin/uwushot
index cc99316..59aed24 100755
--- a/.local/bin/uwushot
+++ b/.local/bin/uwushot
@@ -1,5 +1,8 @@
#!/usr/bin/env bash
-set -euo pipefail
-filename="~/Pictures/Screenshots/satty-$(date '+%Y%m%d-%H:%M:%S').png"
-grim -g "$(slurp -o -r -c '#ff0000ff')" -t ppm - | satty --filename - --disable-notifications --corner-roundness 12 --output-filename "$filename"
+set -euxo pipefail
+DATE=$(date '+%Y%m%d-%H:%M:%S')
+path="$HOME/Pictures/Screenshots/"
+filename="satty-$DATE.png"
+grim -g "$(slurp -o -r -c '#ff0000ff')" -t ppm - | satty --actions-on-right-click=save-to-file --filename - --disable-notifications --corner-roundness 12 --output-filename "$path$filename"
+cd "$path"
uwuload "$filename"